Subject: bug#23647: 25.1.50; In man pages, links on hyphenated words don't work

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 May 2016 03:22:58 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 30 May 2016 01:09:21 +0200
> 
> > Is it only the ASCII hyphen/minus, or could there be other characters
> > (e.g., if Groff/troff are invoked with some exotic -Tfoo switch)?
> 
> That possibility didn't occur to me but according to Wikipedia, groff
> also outputs soft hyphens (octal 255) and indeed I see that the function
> Man-build-references-alist, which also removes hyphenation (in a more
> complicated way that doesn't seem to be needed in the present case),
> also takes the soft hyphen into account.  That can be done here too by
> changing the above string-match regexp to "[-]".  If someone knows of
> other possibilities allowed by [gt]roff, maybe the regexp could be
> further extended, or the condition reformulated as required.  What do
> you think?

I'm not enough of a roff expert to tell, but how about asking on the
Groff list?